<?xml version="1.0" encoding="UTF-8"?>
	
<beans default-lazy-init="false"
	xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.5.xsd">

	<!--  Configure the JPA Templates and DAOs here -->
	<bean id="eeJpaTemplate" class="org.springframework.orm.jpa.JpaTemplate">
		<property name="entityManagerFactory" ref="eeEntityManagerFactory" /> 
	</bean>
	<bean id="target.abstractDAO" abstract="true" class="gov.va.med.fw.persistent.hibernate.AbstractDAOImpl">
  		<property name="jpaTemplate" ref="eeJpaTemplate" /> 
  	</bean>

	<bean id="genericDAO" parent="target.abstractDAO"
		class="gov.va.med.fw.persistent.hibernate.GenericDAOImpl">
	</bean>
	
	<bean id="serviceUserDAO" parent="target.abstractDAO"
		class="gov.va.med.esr.persistence.hibernate.ServiceUserDAOImpl">
	</bean>
	
</beans>
